/*eslint-disable block-scoped-var, id-length, no-control-regex, no-magic-numbers, no-prototype-builtins, no-redeclare, no-shadow, no-var, sort-vars*/
"use strict";

var $protobuf = require("protobufjs/light");

var $root = ($protobuf.roots["default"] || ($protobuf.roots["default"] = new $protobuf.Root()))
.setOptions({
  go_package: ".;pb"
})
.addJSON({
  UserMessage: {
    fields: {
      MainType: {
        type: "string",
        id: 1
      },
      SubType: {
        type: "string",
        id: 2
      },
      data: {
        type: "google.protobuf.Any",
        id: 3
      },
      sec: {
        type: "string",
        id: 4
      }
    }
  },
  AgentMessage: {
    fields: {
      Ip: {
        type: "string",
        id: 1
      },
      UserSessionId: {
        type: "string",
        id: 2
      },
      UserId: {
        type: "string",
        id: 3
      },
      GatewayServiceId: {
        type: "string",
        id: 4
      },
      Method: {
        type: "string",
        id: 5
      },
      Message: {
        type: "google.protobuf.Any",
        id: 6
      }
    }
  },
  RPCMessageReply: {
    fields: {
      Code: {
        type: "ErrorCode",
        id: 1
      },
      Message: {
        type: "string",
        id: 2
      },
      Data: {
        type: "string",
        id: 3
      }
    }
  },
  AgentBuildReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      },
      UserId: {
        type: "string",
        id: 2
      },
      WorkerId: {
        type: "string",
        id: 3
      }
    }
  },
  AgentUnBuildReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      }
    }
  },
  AgentSendMessageReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      },
      MainType: {
        type: "string",
        id: 2
      },
      SubType: {
        type: "string",
        id: 3
      },
      Data: {
        type: "google.protobuf.Any",
        id: 4
      }
    }
  },
  BatchMessageReq: {
    fields: {
      UserSessionIds: {
        rule: "repeated",
        type: "string",
        id: 1
      },
      MainType: {
        type: "string",
        id: 2
      },
      SubType: {
        type: "string",
        id: 3
      },
      Data: {
        type: "google.protobuf.Any",
        id: 4
      }
    }
  },
  BroadCastMessageReq: {
    fields: {
      MainType: {
        type: "string",
        id: 1
      },
      SubType: {
        type: "string",
        id: 2
      },
      Data: {
        type: "google.protobuf.Any",
        id: 3
      }
    }
  },
  AgentCloseeReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      }
    }
  },
  ErrorCode: {
    values: {
      Success: 0,
      NoFindService: 10,
      NoFindServiceHandleFunc: 11,
      RpcFuncExecutionError: 12,
      CacheReadError: 13,
      SqlExecutionError: 14,
      ReqParameterError: 15,
      SignError: 16,
      InsufficientPermissions: 17,
      NoLogin: 18,
      UserSessionNobeing: 19,
      StateInvalid: 20,
      DBError: 21,
      SystemError: 22,
      Exception: 100,
      SecKeyInvalid: 1000,
      SecKey: 1001,
      BindUser: 1002,
      FriendNotSelf: 1100,
      FriendSelfMax: 1101,
      FriendTargetMax: 1102,
      FriendSelfNoData: 1103,
      FriendTargetNoData: 1104,
      FriendYet: 1105,
      FriendApplyYet: 1106,
      FriendSelfBlackYet: 1107,
      FriendTargetBlackYet: 1108,
      FriendApplyError: 1109,
      FriendBlackMax: 1110,
      FriendSearchNameEmpty: 1111
    }
  },
  google: {
    nested: {
      protobuf: {
        nested: {
          Any: {
            fields: {
              type_url: {
                type: "string",
                id: 1
              },
              value: {
                type: "bytes",
                id: 2
              }
            }
          }
        }
      }
    }
  },
  DB_FriendData: {
    fields: {
      uId: {
        type: "string",
        id: 1
      },
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 2
      },
      applyIds: {
        rule: "repeated",
        type: "string",
        id: 3
      },
      blackIds: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  FriendBase: {
    fields: {
      userId: {
        type: "string",
        id: 1
      },
      NickName: {
        type: "string",
        id: 2
      },
      level: {
        type: "int32",
        id: 3
      },
      avatar: {
        type: "int32",
        id: 4
      },
      strength: {
        type: "int64",
        id: 5
      },
      serverId: {
        type: "int32",
        id: 6
      },
      offlineTime: {
        type: "int64",
        id: 7
      }
    }
  },
  Friend_List_Req: {
    fields: {}
  },
  Friend_List_Rsp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  Friend_Apply_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Apply_Rsp: {
    fields: {
      userId: {
        type: "string",
        id: 1
      },
      friendId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_Del_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Del_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_Agree_Req: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  Friend_Agree_Rsp: {
    fields: {
      Num: {
        type: "int32",
        id: 1
      }
    }
  },
  Friend_Refuse_Req: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  Friend_Refuse_Rsp: {
    fields: {
      Num: {
        type: "int32",
        id: 1
      }
    }
  },
  Friend_ApplyList_Req: {
    fields: {}
  },
  Friend_ApplyList_Rsp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  Friend_Search_Req: {
    fields: {
      nickName: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Search_Rsp: {
    fields: {
      friend: {
        type: "FriendBase",
        id: 1
      }
    }
  },
  Friend_BlackList_Req: {
    fields: {}
  },
  Friend_BlackList_Rsp: {
    fields: {
      friends: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  Friend_BlackAdd_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_BlackAdd_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_DelBlack_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_DelBlack_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_Receive_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Receive_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_Give_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Give_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  Friend_Total_Req: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  Friend_Total_Rsp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      total: {
        type: "int32",
        id: 2
      }
    }
  },
  MailAttachment: {
    fields: {
      ItemId: {
        type: "uint32",
        id: 1
      },
      ItemCount: {
        type: "uint32",
        id: 2
      }
    }
  },
  DB_MailData: {
    fields: {
      ObjId: {
        type: "string",
        id: 1
      },
      Uid: {
        type: "string",
        id: 2
      },
      Title: {
        type: "string",
        id: 3
      },
      Contex: {
        type: "string",
        id: 4
      },
      CreateTime: {
        type: "uint64",
        id: 5
      },
      DueTime: {
        type: "uint64",
        id: 6
      },
      Check: {
        type: "bool",
        id: 7
      },
      Reward: {
        type: "bool",
        id: 8
      },
      Items: {
        rule: "repeated",
        type: "MailAttachment",
        id: 9
      }
    }
  },
  Mail_GetList_Req: {
    fields: {}
  },
  Mail_GetList_Resp: {
    fields: {
      Mails: {
        rule: "repeated",
        type: "DB_MailData",
        id: 1
      }
    }
  },
  Mail_ReadMail_Req: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  Mail_ReadMail_Resp: {
    fields: {
      Mail: {
        type: "DB_MailData",
        id: 1
      }
    }
  },
  Mail_GetUserMailAttachment_Req: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  Mail_GetUserMailAttachment_Resp: {
    fields: {
      Mail: {
        type: "DB_MailData",
        id: 1
      }
    }
  },
  Mail_DelMail_Req: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  Mail_DelMail_Resp: {
    fields: {
      Mail: {
        rule: "repeated",
        type: "DB_MailData",
        id: 1
      }
    }
  },
  ErrorNotify: {
    fields: {
      ReqMainType: {
        type: "string",
        id: 1
      },
      ReqSubType: {
        type: "string",
        id: 2
      },
      Code: {
        type: "ErrorCode",
        id: 3
      },
      Message: {
        type: "string",
        id: 4
      },
      Data: {
        type: "string",
        id: 6
      }
    }
  },
  DB_UserItemData: {
    fields: {
      gridId: {
        type: "string",
        id: 1
      },
      uId: {
        type: "string",
        id: 2
      },
      isEmpty: {
        type: "bool",
        id: 3
      },
      itemId: {
        type: "int32",
        id: 4
      },
      amount: {
        type: "uint32",
        id: 5
      },
      cTime: {
        type: "int64",
        id: 6
      },
      eTime: {
        type: "int64",
        id: 7
      },
      isNewItem: {
        type: "bool",
        id: 8
      }
    }
  },
  Pack_Getlist_Req: {
    fields: {
      IType: {
        type: "int32",
        id: 1
      }
    }
  },
  Pack_Getlist_Resp: {
    fields: {
      Grids: {
        rule: "repeated",
        type: "DB_UserItemData",
        id: 1
      }
    }
  },
  Pack_UseItem_Req: {
    fields: {
      GridId: {
        type: "int32",
        id: 1
      },
      ItemId: {
        type: "int32",
        id: 2
      },
      Amount: {
        type: "uint32",
        id: 3
      }
    }
  },
  Pack_UseItem_Resp: {
    fields: {}
  },
  Pack_SellItem_Req: {
    fields: {
      GridId: {
        type: "int32",
        id: 1
      },
      ItemId: {
        type: "int32",
        id: 2
      },
      Amount: {
        type: "uint32",
        id: 3
      }
    }
  },
  Pack_SellItem_Resp: {
    fields: {}
  },
  Cache_UserData: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      SessionId: {
        type: "string",
        id: 2
      },
      GatewayServiceId: {
        type: "string",
        id: 3
      }
    }
  },
  DB_UserData: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      uuid: {
        type: "string",
        id: 3
      },
      binduid: {
        type: "string",
        id: 4
      },
      name: {
        type: "string",
        id: 5
      },
      sid: {
        type: "int32",
        id: 6
      },
      createip: {
        type: "string",
        id: 7
      },
      lastloginip: {
        type: "string",
        id: 8
      },
      ctime: {
        type: "int64",
        id: 9
      },
      logintime: {
        type: "int64",
        id: 10
      },
      friendPoint: {
        type: "int32",
        id: 11
      },
      avatar: {
        type: "int32",
        id: 12
      }
    }
  },
  UserLoginReq: {
    fields: {
      account: {
        type: "string",
        id: 1
      },
      sid: {
        type: "int32",
        id: 2
      }
    }
  },
  UserLoginResp: {
    fields: {
      data: {
        type: "DB_UserData",
        id: 1
      }
    }
  },
  UserRegisterReq: {
    fields: {
      account: {
        type: "string",
        id: 1
      },
      sid: {
        type: "int32",
        id: 2
      }
    }
  },
  UserRegisterRsp: {
    fields: {
      Code: {
        type: "ErrorCode",
        id: 1
      },
      account: {
        type: "string",
        id: 2
      }
    }
  },
  UserLoadRsp: {
    fields: {
      data: {
        type: "Cache_UserData",
        id: 1
      }
    }
  },
  UserCreateReq: {
    fields: {
      NickName: {
        type: "string",
        id: 1
      }
    }
  },
  UserCreateRsp: {
    fields: {}
  }
});

module.exports = $root;
